As a product manager, I'd like to know who is using our search API and how they're using it, so I can figure out how to prioritise tasks.
Closed, ResolvedPublic

Description

Right now we don't really know who the customers of our search API are. We know we have some internal customers in Readership and Editing, but who else uses it?

We should do some research to figure out who's using it and what they're doing with it, so we know how to best support their needs.

Things we need to know:

  • Breakdown of consumers ordered by percentage of total requests (e.g. Android Wikipedia app makes X% of all requests, VisualEditor makes Y% of all requests, etc.)
  • Breakdown of formats ordered by percentage of total requests (X% of consumers use JSON, Y% use XML, etc.)

https://github.com/Ironholds/search_api_usage
http://ironholds.org/misc/api_presentation.html

Ironholds updated the task description. (Show Details)
Ironholds raised the priority of this task from to Normal.
Ironholds claimed this task.
Ironholds added a subscriber: Ironholds.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2015, 9:24 PM
Ironholds updated the task description. (Show Details)May 15 2015, 11:35 PM
Ironholds set Security to None.
Deskana renamed this task from How is the search API used? to As a product manager, I'd like to know who is using our search API and how they're using it, so I can figure out how to prioritise tasks..May 19 2015, 4:58 PM
Deskana updated the task description. (Show Details)
Aklapper added a subscriber: Qgil.May 20 2015, 3:04 PM

@Ironholds Before marking this as done, we should note the work that was delivered here. Can you link to the presentation you gave?

Also, do you have supplemental presentations for our other search APIs and the overall breakdown? I assume not, since there's no task for that from what I can see.

Nope, for precisely that reason! Will link.

Ironholds updated the task description. (Show Details)May 29 2015, 5:05 PM

This task, as it was originally scoped, is resolved. Oliver performed analysis for the opensearch API, which is availble here: http://ironholds.org/misc/api_presentation.html

We should file a follow-up for repeating this with our other APIs. That is blocked by T100468.

Deskana closed this task as Resolved.

We should file a follow-up for repeating this with our other APIs. That is blocked by T100468.

Done. This is task T101389. Closing this one as resolved.